## Class IDS_Caching_Session

Description

Implements interfaces:

- IDS_Caching_Interface

File caching wrapper

This class inhabits functionality to get and set cache via session.

- author: Lars Strojny <lars@strojny.net>
- author: Christian Matthies <ch0012@gmail.com>
- author: Mario Heiderich <mario.heiderich@gmail.com>
- version: Release: $Id:Session.php 517 2007-09-15 15:04:13Z mario $
- copyright: 2007 The PHPIDS Group
- link: http://php-ids.org/
- since: Version 0.4
- license: LGPL

Located in /Caching/Session.php (line 52)

Method Summary
static object getInstance (string $type, array $init)
void __construct (string $type, array $init)
mixed getCache ()
object setCache ( $data)
Methods
static method getInstance (line 98)

Returns an instance of this class

- access: public

static object getInstance (string $type, array $init)

- string $type: caching type
- array $init: the IDS_Init object

Constructor __construct (line 84)

Constructor

- access: public

void __construct (string $type, array $init)

- string $type: caching type
- array $init: the IDS_Init object

getCache (line 129)

Returns the cached data

Note that this method returns false if either type or file cache is not set

- return: cache data or false
- access: public

mixed getCache ()

Implementation of:

IDS_Caching_Interface::getCache()
  Interface method

setCache (line 115)

Writes cache data into the session

- access: public

object setCache ( $data)

- array $data: the caching data

Implementation of:

IDS_Caching_Interface::setCache()
  Interface method

Documentation generated on Mon, 22 Dec 2008 13:36:53 +0100 by phpDocumentor 1.4.2